Skip to main content
POST
/
newsletter
/
categories
Create Category
curl --request POST \
  --url https://api.getmaito.com/v1/newsletter/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Product Updates"
}
'
{
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 80

Response

Category created.

ok
enum<boolean>
required
Available options:
true
data
object
required